.\" $Revision: 1.1.1.1 $
.\" Copyright (c) 1990 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Chris Torek.
.\"
.\" Redistribution and use in source and binary forms are permitted provided
.\" that: (1) source distributions retain this entire copyright notice and
.\" comment, and (2) distributions including binaries display the following
.\" acknowledgement:  ``This product includes software developed by the
.\" University of California, Berkeley and its contributors'' in the
.\" documentation or other materials provided with the distribution and in
.\" all advertising materials mentioning features or use of this software.
.\" Neither the name of the University nor the names of its contributors may
.\" be used to endorse or promote products derived from this software without
.\" specific prior written permission.
.\" THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
.\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
.\"
.\"	@(#)strcasecmp.3	5.2 (Berkeley) 6/24/90
.\"
.TH STRCASECMP 3 "June 24, 1990"
.UC 7
.SH NAME
strcasecmp \- compare strings, ignoring case
.SH SYNOPSIS
.nf
.ft B
#include <string.h>

int
strcasecmp(const char *s1, const char *s2);

int
strncasecmp(const char *s1, const char *s2, size_t len);
.ft R
.fi
.SH DESCRIPTION
.B Strcasecmp
and
.B strncasecmp
compare the null-terminated strings
.I s1
and
.I s2
and return an integer greater than, equal to, or less than 0,
according as
.I s1
is lexicographically greater than, equal to, or less than
.IR s2
after translation of each corresponding character to lower-case.
The strings themselves are not modified.
The comparison is done using unsigned characters, so that '\e200'
is greater than '\e0'.
.PP
.B Strncasecmp
compares at most
.I len
characters.
.SH SEE ALSO
bcmp(3), memcmp(3), strcmp(3), strcoll(3), strxfrm(3)
